<script>
	jQuery(function($) {
		var $ = jQuery;

		$("#effect").change(function() {
			var type = $(this).val();

			$(".customsettings").hide();
			//$(".innersettings").show();

			switch(type) {
				case 'fadein':
					$(".customsettings").show();
					$("#effect_code").val("data-bottom-top='opacity: 0' data-center-top='opacity: 1'");
					break;
				case 'fadeout':
					$(".customsettings").show();
					$("#effect_code").val("data-150-top='opacity: 1' data-top='opacity: 0'");
					break;
				case 'fadeinout':
					$(".customsettings").show();
					$("#effect_code").val("data-bottom-top='opacity: 0' data-center-top='opacity: 1' data-150-top='opacity: 1' data--50-top='opacity: 0'");
					break;
				case 'fadeoutscale':
					$(".customsettings").show();
					$("#effect_code").val("data-bottom-top='opacity: 1' data-center-bottom='transform: translate3d(0px, 0px, 0px) scale(1, 1) rotate(0deg);' data-150-top='transform: translate3d(0px, 0px, 0px) scale(1.2, 1.2) rotate(0deg);' data-top='transform: translate3d(0px, 100px, 0px) scale(.25, .25) rotate(0deg); opacity:0;'");
					break;
				case 'rotateupleft':
					$(".customsettings").show();
					$("#effect_code").val("data-175-top='opacity:1;transform:rotate(0deg);transform-origin:0 0;' data-top='opacity:0;transform:rotate(-90deg);'");
					break;
				case 'rotateupright':
					$(".customsettings").show();
					$("#effect_code").val("data-175-top='opacity:1;transform:rotate(0deg);transform-origin:100% 0;' data-top='opacity:0;transform:rotate(90deg);'");
					break;
				// case 'speedup':
				// 	$(".customsettings").show();
				// 	$("#effect_code").val("data-center='bottom: 200px; opacity: 1' data-top='bottom: 1200px; opacity: 0'");
				// 	break;
				// case 'easeleft':
				// 	$(".customsettings").show();
				// 	$(".innersettings").show();
				// 	$("#effect_code").val("data-500-top='left:100%' data-200-top='left:25%;'");
				// 	$("#effect_inner_code").val("data-500-top='left:100%' data-200-top='left:25%;'");
				// 	break;
				// case 'easeright':
				// 	$(".customsettings").show();
				// 	$(".innersettings").show();
				// 	$("#effect_code").val("data-500-top='right:100%' data-200-top='right:25%;'");
				// 	$("#effect_inner_code").val("data-500-top='left:100%' data-200-top='left:25%;'");
				// 	break;
				//case 'gradient':
				//	$(".customsettings").show();
				//	$("#effect_code").val("data-0='background-image:linear-gradient(0deg, hsl(0, 100%, 50%), hsl(40, 50%, 50%));' data-5000='background-image:linear-gradient(3600deg, hsl(360, 100%, 50%), hsl(400, 100%, 50%));'");
				//	break;
				case 'custom':
					$(".customsettings").show();
					break;
			}
		});

	    $("#effect").change();
	});
</script>